{% extends "consensus_base/base_dashboard_alt.html" %}
{% load i18n %}
{% load sekizai_tags %}
{% load consensus %}
{% block title %}Consensus - Polls{% endblock %}

{% block main-h1 %}
{% trans 'Poll:' %} {{ poll.title }}
- [<a class="btn-sm btn-link" href="{% url 'consensus_base:poll' poll.slug %}">{% trans 'view' %}</a>]
- [<a class="btn-sm btn-link" href="{% url 'consensus_base:poll_edit' poll.slug %}">{% trans 'edit' %}</a>]
{% endblock main-h1 %}

{% block main %}

<div>
<form method="post">
    {% csrf_token %}
    {{ form.as_p }}
<hr/>
<div>
<button type="submit" class="btn btn-primary">Update</button>
- <a href="{% url 'consensus_base:poll_edit_invitations' poll.slug %}" class="btn btn-light">{% trans 'Invite by mail' %}</a>
{% if use_ldap %}
- <a class="btn-sm btn-link" href="{% url 'consensus_base:poll' poll.slug %}">{% trans 'Add LDAP participants' %}</a>
- <a class="btn-sm btn-link" href="{% url 'consensus_base:poll' poll.slug %}">{% trans 'Remove LDAP participants' %}</a>
- <a class="btn-sm btn-link" href="{% url 'consensus_base:poll' poll.slug %}">{% trans 'Add LDAP group' %}</a>
- <a class="btn-sm btn-link" href="{% url 'consensus_base:poll' poll.slug %}">{% trans 'Remove LDAP group' %}</a>
{% endif %}
</div>
</form>
</div>

<hr/>
<h2>{% trans 'Participants' %}</h2>
<div class="overflow-x">
<table class="table table-hover table-sm">
<thead>
<tr>
<th scope="col">{% trans 'Username' %}</th>
<th scope="col">{% trans 'is Admin' %}</th>
<th scope="col">{% trans 'Pending questions' %}</th>
<th scope="col"></th>
<th scope="col"></th>
</tr>
</thead>
<tbody>

{% for p in participants %}
<tr>
<td scope="row">{{ p.username }}</td>
<td scope="row">{% if p.poll|ispolladmin:p.username %}yes{% else %}no{% endif %}</td>
<td scope="row">{{ p.poll|pendingquestions:p.username }}</td>
<td scope="row">
    {% if p.poll|ispolladmin:p.username %}
    <a class="btn-sm btn-secondary" href="{% url 'consensus_base:poll_action' poll.uuid.hex "revoke_admin" %}?next_page={{ request.path }}&username={{ p.username }}">{% trans 'revoke admin privileges' %}</a>
    {% else %}
    <a class="btn-sm btn-light" href="{% url 'consensus_base:poll_action' poll.uuid.hex "grant_admin" %}?next_page={{ request.path }}&username={{ p.username }}">{% trans 'grant admin privileges' %}</a>
    {% endif %}<br/>
</td>
<td scope="row">
    <a class="btn-sm btn-light" href="{% url 'consensus_base:poll_action' poll.uuid.hex "remove" %}?next_page={{ request.path }}&username={{ p.username }}">{% trans 'remove participant' %}</a>
</td>
</tr>
{% endfor %}

</tbody>
</table>


<hr/>
<h2>{% trans 'Invitations' %}</h2>
<div class="overflow-x" >
<table class="table table-hover table-sm">
<thead>
<tr>
<th scope="col">{% trans 'To' %}</th>
<th scope="col">{% trans 'Sent' %}</th>
<th scope="col">{% trans 'Status' %}</th>
<th scope="col"></th>
<th scope="col"></th>
</tr>
</thead>
<tbody>

{% for i in invitations %}
<tr>
<td scope="row">{% if i.username %}{{i.username}} ({{i.email}}){% else %}{{i.email}}{% endif %}</td>
<td scope="row">{% if i.sent %}{{i.sentdate}}{% else %}no{% endif %}</td>
<td scope="row">{{ i.status }} {% if i.visiteddate %}({{i.visiteddate}}){% endif %}</td>
<td scope="row">
    {% if i.sent %}
    <a class="btn-sm btn-link" href="{% url 'consensus_base:invitation_action' i.token "resend" %}?next_page={{ request.path }}">{% trans 'resend' %}</a>
    {% endif %}
</td>
<td scope="row">
    {% if not i.used %}
    <a class="btn-sm btn-link" href="{% url 'consensus_base:invitation_action' i.token "revoke" %}?next_page={{ request.path }}">{% trans 'revoke' %}</a>
    {% endif %}
</td>
</tr>
{% endfor %}

</tbody>
</table>

{% endblock main %}
</div>
